# Update placeholder resource

Updates the title, role, discipline, or location of an existing placeholder resource.

Endpoint: PUT /placeholder_resources/{placeholder_resource_id}
Version: v1
Security: AuthToken

## Path parameters:

  - `placeholder_resource_id` (integer, required)
    The ID of the placeholder resource.

## Request fields (application/x-www-form-urlencoded):

  - `title` (string, required)
    An identifier for the placeholder. Required.
    Example: "Designer"

  - `role` (string,null)
    The placeholder's role.

  - `discipline` (string,null)
    The placeholder's discipline.

  - `location` (string,null)
    The organizational location the placeholder belongs to.

## Response 200 fields (application/json):

  - `id` (integer, required)
    Unique identifier for the placeholder resource.
    Example: 1543853

  - `title` (string, required)
    The name/title of the placeholder.
    Example: "IT Admin"

  - `user_type_id` (integer, required)
    The numeric code that specifies the user/resource type.

  - `guid` (string, required)
    The globally unique identifier (GUID) for the resource.
    Example: "337e802d-30b8-4abe-a021-0c66e64ba326"

  - `role` (string,null)
    The placeholder's role in the organization.

  - `discipline` (string,null)
    The placeholder's discipline.

  - `location` (string,null)
    The organizational location the placeholder belongs to.

  - `displayName` (string, required)
    The displayed name of the placeholder.
    Example: "IT Admin"

  - `type` (string, required)
    The object type.
    Example: "PlaceholderResource"

  - `thumbnail` (string,null)
    A URL to the placeholder's image thumbnail.
    Example: "https://assets.rm.smartsheet.com/images/it_admin.png"

  - `abbreviation` (string,null)
    A short abbreviation for the placeholder.
    Example: "IT"

  - `color` (string,null)
    The color associated with the placeholder in the UI.
    Example: "Fuchsia"

  - `created_at` (string, required)
    The time of creation.
    Example: "2022-03-22T18:56:10Z"

  - `updated_at` (string, required)
    The time of the last update.
    Example: "2022-04-05T19:47:27Z"

  - `billrate` (number, required)
    The user's billable rate. A value of -1 indicates the default rate.
    Example: -1

## Response 404 fields (application/json):

  - `message` (string)
    Example: "not found"


